TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Map ( any domain, any codomain, func phi ) -> map()

### Description

<shortdoc> Create a map with domain 'domain' and codomain 'codomain' from the function 'phi'. </shortdoc>

### Examples

x_mult := function(a) # this function returns a map that multiplies by 'I*a' local phi; phi := function(b) return b*a*I; end; return Map(R,C,phi); end; x_f := x_mult(5); x_f(2); Image(3.1,x_f); Domain(x_f); Codomain(x_f);

### See also

map
Maps
Map ( any, any, func, func ) -> map()
Domain ( map() ) -> any
Codomain ( map() ) -> any
Image ( any, map() ) -> any
Preimage ( any, map() ) -> any
Composition ( map(), map() ) -> map()

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack